com.google.gwt.user.cellview.client

## Interface AbstractCellTable.TableSectionChangeHandler

All Known Implementing Classes:
  CellTable

Enclosing class:
  AbstractCellTable<T>

    protected static interface AbstractCellTable.TableSectionChangeHandler

Interface that this class's subclass may implement to get notified with table section change event. During rendering, a faster method based on swaping the entire section will be used iff
it's in IE - since all other optimizations have been turned off
the table implements TableSectionChangeHandler interface When a section is being replaced by another table with the new table html, the methods in this interface will be invoked with the changed section. The table should update its internal references to the sections properly so that when `AbstractCellTable.getTableBodyElement()`, `AbstractCellTable.getTableHeadElement()`, or `AbstractCellTable.getTableFootElement()` are called, the correct section will be returned.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onTableBodyChange(TableSectionElement newTBody)` Notify that a table body section has been changed.
`void` `onTableFootChange(TableSectionElement newTFoot)` Notify that a table body section has been changed.
`void` `onTableHeadChange(TableSectionElement newTHead)` Notify that a table head section has been changed.

### Method Detail

#### onTableBodyChange

    void onTableBodyChange(TableSectionElement newTBody)

Notify that a table body section has been changed.

Parameters:
  `newTBody` - the new body section

#### onTableFootChange

    void onTableFootChange(TableSectionElement newTFoot)

Notify that a table body section has been changed.

Parameters:
  `newTFoot` - the new foot section

#### onTableHeadChange

    void onTableHeadChange(TableSectionElement newTHead)

Notify that a table head section has been changed.

Parameters:
  `newTHead` - the new head section